%global commit0 91900812333bb6ccca9ca0bf57363a3b1d3023a2
%global date 20231107
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global tag %{version}

Summary: Cinnamon Screensaver
Name:    cinnamon-screensaver
Version: 6.0.2
Release:    1%{?dist}
License: GPLv2+ and LGPLv2+
URL:     https://github.com/linuxmint/%{name}
%if 0%{?tag:1}
Source0: %url/archive/%{version}/%{name}-%{version}.tar.gz
%else
Source0: %url/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
%endif
Patch0:  %url/commit/6b917facf2753552164e669892af929e54dc7834.patch

ExcludeArch: %{ix86}

BuildRequires: desktop-file-utils
BuildRequires: meson
BuildRequires: gcc
BuildRequires: intltool
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gdk-x11-3.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(libxdo)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(pam)

Requires: cinnamon-desktop >= 6.0.0
Requires: cinnamon-translations >= 6.0.0
Requires: accountsservice-libs
Requires: libgnomekbd
Requires: python3-gobject
Requires: python3-setproctitle
Requires: python3-xapp
Requires: python3-xapps-overrides
Requires: xapps
Requires: xprop

Requires: gnome-keyring-pam


%description
cinnamon-screensaver is a screen saver and locker.


%prep
%if 0%{?tag:1}
%setup -q
%else
%autosetup -p1 -n %{name}-%{commit0}
%endif
%patch -P0 -R -p1


%build
%meson
%meson_build


%install
%meson_install

desktop-file-install                                     \
  --delete-original                                      \
  --remove-only-show-in=Xfce                             \
  --dir %{buildroot}%{_datadir}/applications             \
  %{buildroot}%{_datadir}/applications/org.cinnamon.ScreenSaver.desktop

for file in %{buildroot}%{_datadir}/cinnamon-screensaver/{dbusdepot,util,widgets}/*.py; do
chmod a+x $file
done
for file in %{buildroot}%{_datadir}/cinnamon-screensaver/*.py; do
chmod a+x $file
done
chmod a-x %{buildroot}%{_datadir}/cinnamon-screensaver/{dbusdepot,util,widgets}/__init__.py
chmod a-x %{buildroot}%{_datadir}/cinnamon-screensaver/{__init__,config}.py
chmod a+x %{buildroot}%{_datadir}/cinnamon-screensaver/pamhelper/authClient.py

rm %{buildroot}%{_libdir}/libcscreensaver.so
rm %{buildroot}%{_libdir}/pkgconfig/cscreensaver.pc
rm %{buildroot}%{_datadir}/gir-1.0/CScreensaver-1.0.gir




%files
%doc AUTHORS NEWS README.md
%license COPYING COPYING.LIB
%config(noreplace) %{_sysconfdir}/pam.d/cinnamon-screensaver
%{_bindir}/cinnamon-screensaver*
%{_bindir}/cinnamon-unlock-desktop
%{_datadir}/applications/org.cinnamon.ScreenSaver.desktop
%{_datadir}/cinnamon-screensaver/
%{_datadir}/dbus-1/services/org.cinnamon.ScreenSaver.service
%{_datadir}/icons/hicolor/scalable/*/*
%{_libexecdir}/cinnamon-screensaver-pam-helper
%{_libexecdir}/cs-backup-locker
%{_libdir}/libcscreensaver.so.*
%{_libdir}/girepository-1.0/CScreensaver-1.0.typelib

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.0.2-1
- initial build
